﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Http;
using System.Web.Http.Filters;

namespace Api.Core.Code
{
    public class RestrictedAttribute:ActionFilterAttribute
    {
        public override void OnActionExecuting(System.Web.Http.Controllers.HttpActionContext actionContext)
        {
            if (actionContext.Request.Headers.Contains("auth"))
            {
                var auth = actionContext.Request.Headers.GetValues("auth").FirstOrDefault();
                //check
                return;
            }


            throw new HttpResponseException(System.Net.HttpStatusCode.Unauthorized);
        }
    }
}