﻿using Api.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

namespace Api.SDK
{
    public class ApiProxy
    {

        private string url;

        public ApiProxy(string url)
        {
            this.url = url;
        }

        public async Task<IEnumerable<CDItem>> GetItems(CDParams pars)
        {
            HttpClient cl = new HttpClient();
            HttpRequestMessage msg = new HttpRequestMessage(HttpMethod.Get,
                string.Format(url, "CD",string.Format("limit={0}&offset={1}&minvalue={2}"
                ,pars.Limit.Value,pars.Offset.Value,pars.MinValue)));
            msg.Headers.Add("Auth", "ippo");
            var res=await cl.SendAsync(msg);
            var str=await res.Content.ReadAsStringAsync();
            var obj=Newtonsoft.Json.JsonConvert.DeserializeObject<CDItem[]>(str);
            return obj;
        }
    }
}
